package com.xhpc.common.data.down;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

public class StartChargingData {

    private String orderNo; //交易流水号
    @NotBlank(message = "桩号不能为空")
    private String pileNo; //桩号
    @NotBlank(message = "枪号不能为空")
    private String gunId; //枪号
    @Min(value = 500, message = "账户余额不能小于5.00元(500分)")
    private Integer balance; //账户余额(精度:小数点后2位)=实际金额(元)×100
    private String tel;
    private String logicCardNo = "0000000000000000"; //逻辑卡号 16进制,无需补零
    private String physicCardNo = "0000000000000000"; //物理卡号 同上
    private String version = "0A"; //协议版本号(0A)
    private Integer soc;
    private Integer chargingCapacity; //充电量


    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public Integer getBalance() {

        return balance;
    }

    public void setBalance(Integer balance) {

        this.balance = balance;
    }

    public String getTel() {

        return tel;
    }

    public void setTel(String tel) {

        this.tel = tel;
    }

    public String getLogicCardNo() {

        return logicCardNo;
    }

    public void setLogicCardNo(String logicCardNo) {

        this.logicCardNo = logicCardNo;
    }

    public String getPhysicCardNo() {

        return physicCardNo;
    }

    public void setPhysicCardNo(String physicCardNo) {

        this.physicCardNo = physicCardNo;
    }

    public String getVersion() {

        return version;
    }

    public void setVersion(String version) {

        this.version = version;
    }

    public Integer getSoc() {

        return soc;
    }

    public void setSoc(Integer soc) {

        this.soc = soc;
    }

    public Integer getChargingCapacity() {
        return chargingCapacity;
    }

    public void setChargingCapacity(Integer chargingCapacity) {
        this.chargingCapacity = chargingCapacity;
    }
}
